execute at @a run execute as @e[type=minecraft:arrow,nbt={pickup:1b}] at @s run data modify entity @s Owner set from entity @p UUID

execute as @a[scores={zombiecounter=100..}] at @s run advancement grant @s only collection:zombie1
execute as @a[scores={zombiecounter=400..}] at @s run advancement grant @s only collection:zombie2
execute as @a[scores={zombiecounter=1000..}] at @s run advancement grant @s only collection:zombie3
execute as @a[scores={zombiecounter=2500..}] at @s run advancement grant @s only collection:zombie4
execute as @a[scores={zombiecounter1=1..}] at @s run title @s actionbar [{"text":"❑ Zombie Killed + 1 - Total: ","color":"white","bold":true,"italic":false},{"score":{"name":"@s","objective":"zombiecounter"},"color":"white","bold":true,"italic":false}]
execute as @a[scores={zombiecounter1=1..}] at @s run scoreboard players set @s zombiecounter1 0
execute as @a[scores={skeletoncounter=75..}] at @s run advancement grant @s only collection:skeleton1
execute as @a[scores={skeletoncounter=500..}] at @s run advancement grant @s only collection:skeleton2
execute as @a[scores={skeletoncounter=2500..}] at @s run advancement grant @s only collection:skeleton3
execute as @a[scores={skeletoncounter=4000..}] at @s run advancement grant @s only collection:skeleton4
execute as @a[scores={skeletoncounter=10000..}] at @s run advancement grant @s only collection:skeleton5
execute as @a[scores={skeletoncounter1=1..}] at @s run title @s actionbar [{"text":"❑ Skeleton Killed + 1 - Total: ","color":"white","bold":true,"italic":false},{"score":{"name":"@s","objective":"skeletoncounter"},"color":"white","bold":true,"italic":false}]
execute as @a[scores={skeletoncounter1=1..}] at @s run scoreboard players set @s skeletoncounter1 0
execute as @a[advancements={collection:skeleton2=true},scores={skeletontask=30..}] at @s run advancement grant @s only collection:skeletontask
execute as @a[advancements={collection:skeleton2=true},scores={skeletontask=30..}] at @s run tellraw @s [{"selector":"@s","color":"white","bold":true,"italic":false},{"text":" has completed a Task:","color":"gold","italic":false},{"text":" Kill 30 Skeletons. ","color":"white","italic":false},{"text":"Check your inventory for the reward","color":"gold","italic":false}]
execute as @a[advancements={collection:skeleton2=true},scores={skeletontask=30..}] at @s run scoreboard players set @s skeletontask 0
execute as @a[advancements={collection:skeleton2=false},scores={skeletontask=1..}] at @s run scoreboard players set @s skeletontask 0
execute as @a[advancements={collection:skeleton2=true},scores={skeletontask=0}] at @s run advancement revoke @s only collection:skeletontask
execute as @a[scores={spidercounter1=1..}] at @s run title @s actionbar [{"text":"❑ Spider Killed + 1 - Total: ","color":"white","bold":true,"italic":false},{"score":{"name":"@s","objective":"spidercounter"},"color":"white","bold":true,"italic":false}]
execute as @a[scores={spidercounter1=1..}] at @s run scoreboard players set @s spidercounter1 0

execute as @a[scores={spidercounter=40..}] at @s run advancement grant @s only collection:spider1
execute as @a[scores={spidercounter=100..}] at @s run advancement grant @s only collection:spider2
execute as @a[scores={spidercounter=250..}] at @s run advancement grant @s only collection:spider3
execute as @a[scores={spidercounter=750..}] at @s run advancement grant @s only collection:spider4
execute as @a[scores={creepercounter1=1..}] at @s run title @s actionbar [{"text":"❑ Creeper Killed + 1 - Total: ","color":"white","bold":true,"italic":false},{"score":{"name":"@s","objective":"creepercounter"},"color":"white","bold":true,"italic":false}]
execute as @a[scores={creepercounter1=1..}] at @s run scoreboard players set @s creepercounter1 0

execute as @a[scores={creepercounter=100..}] at @s run advancement grant @s only collection:creeper1
execute as @a[scores={creepercounter=500..}] at @s run advancement grant @s only collection:creeper2
execute as @a[scores={creepercounter=1500..}] at @s run advancement grant @s only collection:creeper3
execute as @a[scores={creepercounter=2500..}] at @s run advancement grant @s only collection:creeper4
execute as @a[scores={endermancounter1=1..}] at @s run title @s actionbar [{"text":"❑ Enderman Killed + 1 - Total: ","color":"white","bold":true,"italic":false},{"score":{"name":"@s","objective":"endermancounter"},"color":"white","bold":true,"italic":false}]
execute as @a[scores={endermancounter1=1..}] at @s run scoreboard players set @s endermancounter1 0

execute as @a[scores={endermancounter=20..}] at @s run advancement grant @s only collection:enderman1
execute as @a[scores={endermancounter=150..}] at @s run advancement grant @s only collection:enderman2
execute as @a[scores={endermancounter=600..}] at @s run advancement grant @s only collection:enderman3
execute as @a[scores={cowcounter1=1..}] at @s run title @s actionbar [{"text":"❑ Cow Killed + 1 - Total: ","color":"white","bold":true,"italic":false},{"score":{"name":"@s","objective":"cowcounter"},"color":"white","bold":true,"italic":false}]
execute as @a[scores={cowcounter1=1..}] at @s run scoreboard players set @s cowcounter1 0

execute as @a[scores={cowcounter=100..}] at @s run advancement grant @s only collection:leather1
execute as @a[scores={cowcounter=250..}] at @s run advancement grant @s only collection:leather2
execute as @a[scores={cowcounter=500..}] at @s run advancement grant @s only collection:leather3
execute as @a[scores={cowcounter=1000..}] at @s run advancement grant @s only collection:leather4
execute as @a[scores={cowcounter=2000..}] at @s run advancement grant @s only collection:leather5
execute as @a[scores={chickencounter1=1..}] at @s run title @s actionbar [{"text":"❑ Chicken Killed + 1 - Total: ","color":"white","bold":true,"italic":false},{"score":{"name":"@s","objective":"chickencounter"},"color":"white","bold":true,"italic":false}]
execute as @a[scores={chickencounter1=1..}] at @s run scoreboard players set @s chickencounter1 0

execute as @a[scores={chickencounter=100..}] at @s run advancement grant @s only collection:chicken1
execute as @a[scores={chickencounter=250..}] at @s run advancement grant @s only collection:chicken2
execute as @a[scores={stonecounter1=1..}] at @s run title @s actionbar [{"text":"❑ Cobblestone Mined + 1 - Total: ","color":"white","bold":true,"italic":false},{"score":{"name":"@s","objective":"stonecounter"},"color":"white","bold":true,"italic":false}]
execute as @a[scores={stonecounter1=1..}] at @s run scoreboard players set @s stonecounter1 0

execute as @a[scores={stonecounter=200..}] at @s run advancement grant @s only collection:stone1
execute as @a[scores={stonecounter=500..}] at @s run advancement grant @s only collection:stone2
execute as @a[scores={stonecounter=1000..}] at @s run advancement grant @s only collection:stone3
execute as @a[scores={stonecounter=1500..}] at @s run advancement grant @s only collection:stone4
execute as @a[scores={stonecounter=2500..}] at @s run advancement grant @s only collection:stone5
execute as @a[scores={stonecounter=10000..}] at @s run advancement grant @s only collection:stone6
execute as @a[scores={ironcounter1=1..}] at @s run title @s actionbar [{"text":"❑ Iron Ingot Crafted + 1 - Total: ","color":"white","bold":true,"italic":false},{"score":{"name":"@s","objective":"ironcounter"},"color":"white","bold":true,"italic":false}]
execute as @a[scores={ironcounter1=1..}] at @s run scoreboard players set @s ironcounter1 0

execute as @a[scores={ironcounter=20..}] at @s run advancement grant @s only collection:iron1
execute as @a[scores={ironcounter=100..}] at @s run advancement grant @s only collection:iron2
execute as @a[scores={ironcounter=500..}] at @s run advancement grant @s only collection:iron3
execute as @a[scores={ironcounter=1000..}] at @s run advancement grant @s only collection:iron4
execute as @a[advancements={collection:iron1=true},scores={irontask=100..}] at @s run advancement grant @s only collection:irontask
execute as @a[advancements={collection:iron1=true},scores={irontask=100..}] at @s run tellraw @s [{"selector":"@s","color":"white","bold":true,"italic":false},{"text":" has completed a Task:","color":"gold","italic":false},{"text":" Craft 35 times of Iron Ingot. ","color":"white","italic":false},{"text":"Check your inventory for the reward","color":"gold","italic":false}]
execute as @a[advancements={collection:iron1=true},scores={irontask=100..}] at @s run scoreboard players set @s irontask 0
execute as @a[advancements={collection:iron1=false},scores={irontask=1..}] at @s run scoreboard players set @s irontask 0
execute as @a[advancements={collection:iron1=true},scores={irontask=0}] at @s run advancement revoke @s only collection:irontask
execute as @a[scores={goldcounter1=1..}] at @s run title @s actionbar [{"text":"❑ Gold Crafted + 1 - Total: ","color":"white","bold":true,"italic":false},{"score":{"name":"@s","objective":"goldcounter"},"color":"white","bold":true,"italic":false}]
execute as @a[scores={goldcounter1=1..}] at @s run scoreboard players set @s goldcounter1 0

execute as @a[scores={goldcounter=50..}] at @s run advancement grant @s only collection:gold1
execute as @a[scores={goldcounter=200..}] at @s run advancement grant @s only collection:gold2
execute as @a[scores={goldcounter=500..}] at @s run advancement grant @s only collection:gold3
execute as @a[scores={goldcounter=1000..}] at @s run advancement grant @s only collection:gold4
execute as @a[scores={emeraldcounter1=1..}] at @s run title @s actionbar [{"text":"❑ Emerald Crafted + 1 - Total: ","color":"white","bold":true,"italic":false},{"score":{"name":"@s","objective":"emeraldcounter"},"color":"white","bold":true,"italic":false}]
execute as @a[scores={emeraldcounter1=1..}] at @s run scoreboard players set @s emeraldcounter1 0

execute as @a[scores={emeraldcounter=50..}] at @s run advancement grant @s only collection:emerald1
execute as @a[scores={emeraldcounter=120..}] at @s run advancement grant @s only collection:emerald2
execute as @a[scores={emeraldcounter=300..}] at @s run advancement grant @s only collection:emerald3
execute as @a[scores={diamondcounter1=1..}] at @s run title @s actionbar [{"text":"❑ Diamond Crafted + 1 - Total: ","color":"white","bold":true,"italic":false},{"score":{"name":"@s","objective":"diamondcounter"},"color":"white","bold":true,"italic":false}]
execute as @a[scores={diamondcounter1=1..}] at @s run scoreboard players set @s diamondcounter1 0

execute as @a[scores={diamondcounter=10..}] at @s run advancement grant @s only collection:dia1
execute as @a[scores={diamondcounter=50..}] at @s run advancement grant @s only collection:dia2
execute as @a[scores={diamondcounter=250..}] at @s run advancement grant @s only collection:dia3
execute as @a[advancements={collection:dia2=true},scores={diamondtask=12..}] at @s run advancement grant @s only collection:diamondtask
execute as @a[advancements={collection:dia2=true},scores={diamondtask=12..}] at @s run tellraw @s [{"selector":"@s","color":"white","bold":true,"italic":false},{"text":" has completed a Task:","color":"gold","italic":false},{"text":" Craft 12 times of Diamond. ","color":"white","italic":false},{"text":"Check your inventory for the reward","color":"gold","italic":false}]
execute as @a[advancements={collection:dia2=true},scores={diamondtask=12..}] at @s run scoreboard players set @s diamondtask 0
execute as @a[advancements={collection:dia2=false},scores={diamondtask=1..}] at @s run scoreboard players set @s diamondtask 0
execute as @a[advancements={collection:dia2=true},scores={diamondtask=0}] at @s run advancement revoke @s only collection:diamondtask

execute as @a[scores={woodcounter1=1..}] at @s run title @s actionbar [{"text":"❑ Oak Log Chopped + 1 - Total: ","color":"white","bold":true,"italic":false},{"score":{"name":"@s","objective":"woodcounter"},"color":"white","bold":true,"italic":false}]
execute as @a[scores={woodcounter1=1..}] at @s run scoreboard players set @s woodcounter1 0

execute as @a[scores={woodcounter=20..}] at @s run advancement grant @s only collection:wood1
execute as @a[scores={woodcounter=500..}] at @s run advancement grant @s only collection:wood2
execute as @a[scores={woodcounter=1500..}] at @s run advancement grant @s only collection:wood3
execute as @a[scores={codcount=30..}] at @s run advancement grant @s only collection:cod1
execute as @a[scores={codcount=150..}] at @s run advancement grant @s only collection:cod2
execute as @a[scores={codcount=300..}] at @s run advancement grant @s only collection:cod3
execute as @a[scores={salmoncount=20..}] at @s run advancement grant @s only collection:salmon1
execute as @a[scores={salmoncount=100..}] at @s run advancement grant @s only collection:salmon2
execute as @a[scores={salmoncount=300..}] at @s run advancement grant @s only collection:salmon3
execute as @a[scores={puffercount=100..}] at @s run advancement grant @s only collection:puffer1
execute as @a[scores={puffercount=200..}] at @s run advancement grant @s only collection:puffer2
execute as @a[scores={puffercount=500..}] at @s run advancement grant @s only collection:puffer3
execute as @a[scores={tfishcount=50..}] at @s run advancement grant @s only collection:tro1
execute as @a[scores={tfishcount=200..}] at @s run advancement grant @s only collection:tro2
execute as @a[scores={wheatcounter1=1..}] at @s run title @s actionbar [{"text":"❑ Wheat Harvested + 1 - Total: ","color":"white","bold":true,"italic":false},{"score":{"name":"@s","objective":"wheatcounter"},"color":"white","bold":true,"italic":false}]
execute as @a[scores={wheatcounter1=1..}] at @s run scoreboard players set @s wheatcounter1 0

execute as @a[scores={wheatcounter=200..}] at @s run advancement grant @s only collection:wheat1
execute as @a[scores={wheatcounter=500..}] at @s run advancement grant @s only collection:wheat2
execute as @a[scores={wheatcounter=1000..}] at @s run advancement grant @s only collection:wheat3
execute as @a[scores={wheatcounter=2000..}] at @s run advancement grant @s only collection:wheat4
execute as @a[scores={wheatcounter=5000..}] at @s run advancement grant @s only collection:wheat5
execute as @a[scores={potatocounter1=1..}] at @s run title @s actionbar [{"text":"❑ Potato Harvested + 1 - Total: ","color":"white","bold":true,"italic":false},{"score":{"name":"@s","objective":"potatocounter"},"color":"white","bold":true,"italic":false}]
execute as @a[scores={potatocounter1=1..}] at @s run scoreboard players set @s potatocounter1 0

execute as @a[scores={potatocounter=200..}] at @s run advancement grant @s only collection:potato1
execute as @a[scores={potatocounter=600..}] at @s run advancement grant @s only collection:potato2
execute as @a[scores={potatocounter=2000..}] at @s run advancement grant @s only collection:potato3
execute as @a[scores={carrotcounter1=1..}] at @s run title @s actionbar [{"text":"❑ Carrot Harvested + 1 - Total: ","color":"white","bold":true,"italic":false},{"score":{"name":"@s","objective":"carrotcounter"},"color":"white","bold":true,"italic":false}]
execute as @a[scores={carrotcounter1=1..}] at @s run scoreboard players set @s carrotcounter1 0

execute as @a[scores={carrotcounter=200..}] at @s run advancement grant @s only collection:carrot1
execute as @a[scores={carrotcounter=1000..}] at @s run advancement grant @s only collection:carrot2
execute as @a[scores={carrotcounter=5000..}] at @s run advancement grant @s only collection:carrot3
execute as @a[advancements={collection:stone2=true},scores={cobbletask=250..}] at @s run advancement grant @s only collection:stonetask
execute as @a[advancements={collection:stone2=true},scores={cobbletask=250..}] at @s run tellraw @s [{"selector":"@s","color":"white","bold":true,"italic":false},{"text":" has completed a Task:","color":"gold","italic":false},{"text":" Mine 250 Cobblestones. ","color":"white","italic":false},{"text":"Check your inventory for the reward","color":"gold","italic":false}]
execute as @a[advancements={collection:stone2=true},scores={cobbletask=250..}] at @s run scoreboard players set @s cobbletask 0
execute as @a[advancements={collection:stone2=false},scores={cobbletask=1..}] at @s run scoreboard players set @s cobbletask 0
execute as @a[advancements={collection:stone2=true},scores={cobbletask=0}] at @s run advancement revoke @s only collection:stonetask
execute as @a[advancements={collection:lapis1=true},scores={lapistask=100..}] at @s run advancement grant @s only collection:lapistask
execute as @a[advancements={collection:lapis1=true},scores={lapistask=100..}] at @s run tellraw @s [{"selector":"@s","color":"white","bold":true,"italic":false},{"text":" has completed a Task:","color":"gold","italic":false},{"text":" Craft 100 times of Lapis Lazuli. ","color":"white","italic":false},{"text":"Check your inventory for the reward","color":"gold","italic":false}]
execute as @a[advancements={collection:lapis1=true},scores={lapistask=100..}] at @s run scoreboard players set @s lapistask 0
execute as @a[advancements={collection:lapis1=false},scores={lapistask=1..}] at @s run scoreboard players set @s lapistask 0
execute as @a[advancements={collection:lapis1=true},scores={lapistask=0}] at @s run advancement revoke @s only collection:lapistask
execute as @a[scores={lapiscounter1=1..}] at @s run title @s actionbar [{"text":"❑ Lapis Lazuli Crafted + 1 - Total: ","color":"white","bold":true,"italic":false},{"score":{"name":"@s","objective":"lapiscounter"},"color":"white","bold":true,"italic":false}]
execute as @a[scores={lapiscounter1=1..}] at @s run scoreboard players set @s lapiscounter1 0

execute as @a[scores={lapiscounter=100..}] at @s run advancement grant @s only collection:lapis1
execute as @a[scores={lapiscounter=500..}] at @s run advancement grant @s only collection:lapis2
execute as @a[scores={blazecounter1=1..}] at @s run title @s actionbar [{"text":"❑ Blaze Killed + 1 - Total: ","color":"white","bold":true,"italic":false},{"score":{"name":"@s","objective":"blazecounter"},"color":"white","bold":true,"italic":false}]
execute as @a[scores={blazecounter1=1..}] at @s run scoreboard players set @s blazecounter1 0

execute as @a[scores={blazecounter=50..}] at @s run advancement grant @s only collection:blaze1
execute as @a[scores={blazecounter=150..}] at @s run advancement grant @s only collection:blaze2
execute as @a[scores={blazecounter=1000..}] at @s run advancement grant @s only collection:blaze3
execute as @a[scores={piglincounter1=1..}] at @s run title @s actionbar [{"text":"❑ Piglin Killed + 1 - Total: ","color":"white","bold":true,"italic":false},{"score":{"name":"@s","objective":"piglincounter"},"color":"white","bold":true,"italic":false}]
execute as @a[scores={piglincounter1=1..}] at @s run scoreboard players set @s piglincounter1 0
execute as @a[scores={witskecounter1=1..}] at @s run title @s actionbar [{"text":"❑ Wither Skeleton Killed + 1 - Total: ","color":"white","bold":true,"italic":false},{"score":{"name":"@s","objective":"witskecounter"},"color":"white","bold":true,"italic":false}]
execute as @a[scores={witskecounter1=1..}] at @s run scoreboard players set @s witskecounter1 0

execute as @a[scores={piglincounter=10..}] at @s run advancement grant @s only collection:piglin1
execute as @a[scores={piglincounter=100..}] at @s run advancement grant @s only collection:piglin2
execute as @a[scores={piglincounter=300..}] at @s run advancement grant @s only collection:piglin3
execute as @a[scores={witskecounter=50..}] at @s run advancement grant @s only collection:witherske1
execute as @a[scores={witskecounter=100..}] at @s run advancement grant @s only collection:witherske2

execute as @a[scores={slimecounter=50..}] at @s run advancement grant @s only collection:slime1
execute as @a[scores={slimecounter=200..}] at @s run advancement grant @s only collection:slime2
execute as @a[scores={ghastcounter1=1..}] at @s run title @s actionbar [{"text":"❑ Ghast Killed + 1 - Total: ","color":"white","bold":true,"italic":false},{"score":{"name":"@s","objective":"ghastcounter"},"color":"white","bold":true,"italic":false}]
execute as @a[scores={ghastcounter1=1..}] at @s run scoreboard players set @s ghastcounter1 0

execute as @a[scores={ghastcounter=50..}] at @s run advancement grant @s only collection:ghast1
execute as @a[scores={ghastcounter=150..}] at @s run advancement grant @s only collection:ghast2
execute as @a[scores={withercounter1=1..}] at @s run title @s actionbar [{"text":"❑ Wither Killed + 1 - Total: ","color":"white","bold":true,"italic":false},{"score":{"name":"@s","objective":"withercounter"},"color":"white","bold":true,"italic":false}]
execute as @a[scores={withercounter1=1..}] at @s run scoreboard players set @s withercounter1 0

execute as @a[scores={withercounter=5..}] at @s run advancement grant @s only collection:wither1
execute as @a[scores={withercounter=50..}] at @s run advancement grant @s only collection:wither2
execute as @a[scores={withercounter=200..}] at @s run advancement grant @s only collection:wither3
execute as @a[scores={enderdracounter1=1..}] at @s run title @s actionbar [{"text":"❑ Ender Dragon Killed + 1 - Total(Task): ","color":"white","bold":true,"italic":false},{"score":{"name":"@s","objective":"enderdracounter"},"color":"white","bold":true,"italic":false}]
execute as @a[scores={enderdracounter1=1..}] at @s run scoreboard players set @s enderdracounter1 0

execute as @a[scores={enderdracounter=20..}] at @s run advancement grant @s only collection:enderdragon1
execute as @a[scores={enderdracounter=20..}] at @s run tellraw @s [{"selector":"@s","color":"white","bold":true,"italic":false},{"text":" has completed a Task:","color":"gold","italic":false},{"text":" Kill 20 Ender Dragons ","color":"white","italic":false},{"text":"Check your inventory for the reward","color":"gold","italic":false}]
execute as @a[scores={enderdracounter=20..}] at @s run scoreboard players set @s enderdracounter 0
execute as @a[scores={enderdracounter=0}] at @s run advancement revoke @s only collection:enderdragon1



execute if entity @a[scores={cod=1..}] run execute as @a[scores={cod=1..},advancements={zombies:hook=true}] at @s run scoreboard players add @s codcount 1
execute if entity @a[scores={cod=1..}] run execute as @a[scores={cod=1..},advancements={zombies:hook=true}] at @s run title @s actionbar [{"text":"❑ Cod Fished + 1 - Total: ","color":"white","bold":true,"italic":false},{"score":{"name":"@s","objective":"codcount"},"color":"white","bold":true,"italic":false}]
execute if entity @a[scores={salmon=1..}] run execute as @a[scores={salmon=1..},advancements={zombies:hook=true}] at @s run scoreboard players add @s salmoncount 1
execute if entity @a[scores={salmon=1..}] run execute as @a[scores={salmon=1..},advancements={zombies:hook=true}] at @s run title @s actionbar [{"text":"❑ Salmon Fished + 1 - Total: ","color":"white","bold":true,"italic":false},{"score":{"name":"@s","objective":"salmoncount"},"color":"white","bold":true,"italic":false}]
execute if entity @a[scores={tfish=1..}] run execute as @a[scores={tfish=1..},advancements={zombies:hook=true}] at @s run scoreboard players add @s tfishcount 1
execute if entity @a[scores={tfish=1..}] run execute as @a[scores={tfish=1..},advancements={zombies:hook=true}] at @s run title @s actionbar [{"text":"❑ Tropical Fish Fished + 1 - Total: ","color":"white","bold":true,"italic":false},{"score":{"name":"@s","objective":"tfishcount"},"color":"white","bold":true,"italic":false}]
execute if entity @a[scores={puffer=1..}] run execute as @a[scores={puffer=1..},advancements={zombies:hook=true}] at @s run scoreboard players add @s puffercount 1
execute if entity @a[scores={puffer=1..}] run execute as @a[scores={puffer=1..},advancements={zombies:hook=true}] at @s run title @s actionbar [{"text":"❑ Pufferfish Fished + 1 - Total: ","color":"white","bold":true,"italic":false},{"score":{"name":"@s","objective":"puffercount"},"color":"white","bold":true,"italic":false}]
execute if entity @a[scores={lilycount=1..}] run execute as @a[scores={lilycount=1..},advancements={zombies:hook=true}] at @s run scoreboard players add @s lily 1

execute as @a[scores={cod=1..},advancements={zombies:hook=true}] at @s run advancement revoke @s only zombies:hook
execute as @a[scores={cod=1..}] at @s run scoreboard players set @s hookcd 0

execute as @a[scores={salmon=1..},advancements={zombies:hook=true}] at @s run advancement revoke @s only zombies:hook
execute as @a[scores={salmon=1..}] at @s run scoreboard players set @s hookcd 0

execute as @a[scores={tfish=1..},advancements={zombies:hook=true}] at @s run advancement revoke @s only zombies:hook
execute as @a[scores={tfish=1..}] at @s run scoreboard players set @s hookcd 0

execute as @a[scores={puffer=1..},advancements={zombies:hook=true}] at @s run advancement revoke @s only zombies:hook
execute as @a[scores={puffer=1..}] at @s run scoreboard players set @s hookcd 0

execute as @a[scores={lilycount=1..},advancements={zombies:hook=true}] at @s run advancement revoke @s only zombies:hook
execute as @a[scores={lilycount=1..}] at @s run scoreboard players set @s hookcd 0

execute as @a[scores={cod=1..}] at @s run scoreboard players set @s cod 0
execute as @a[scores={salmon=1..}] at @s run scoreboard players set @s salmon 0
execute as @a[scores={tfish=1..}] at @s run scoreboard players set @s tfish 0
execute as @a[scores={puffer=1..}] at @s run scoreboard players set @s puffer 0
execute as @a[scores={lilycount=1..}] at @s run scoreboard players set @s lilycount 0
scoreboard players add @a[advancements={zombies:hook=true}] hookcd 1
execute as @a[scores={hookedcd=10..}] at @s run advancement revoke @s only zombies:hook
scoreboard players set @a[scores={hookedcd=11..}] hookcd 0
